.NET spying
Status: info needed % Done: 0%
Priority: bug
Assignee:

Category:

Description
.NET is spying. Not sure what package but something DOTNET_CLI_TELEMETRY_OPTOUT should be OPTIN actually.

Related issues:

Related to Packages - Privacy Issue #2590: [Privacy issue] dotnet-sdk, dotnet... duplicate
Related to Packages - Freedom Issue #1794: [dotnet-runtime][dotnet-host][dotn... in progress
History

#1 - 2020-12-05 08:46 AM - oaken-source

- Status changed from unconfirmed to info needed

Could you be a bit more specific? as it stands right now, this report is not very useful.

#2 - 2021-01-08 05:00 PM - GNUtoo

| found some infos searching for this variable

For instance:
https://askubuntu.com/questions/792214/how-to-stop-net-core-from-collecting-data-to-protect-privacy

This seems to apply to dotnet-core but that's not packaged in Parabola as-is.

The question is then if it's included somehow in other packages like mono and | don't know the answer here.

#3 - 2023-01-28 06:43 AM - bill-auger

- Related to Privacy Issue #2590: [Privacy issue] dotnet-sdk, dotnet-runtime telemetry added

#4 - 2023-06-18 12:14 AM - bill-auger
it couldnt be mono - mono is a third-party implementation for *nix (and mac IIRC) - this is the MS implementation, replacing (or displacing) mono, now
that "MS loves linux"

i think dotnet-core is only the name of the suite - there may not have been any 'dotnet-core' package, by that name - if there is anything to this, it is
probably in the dotnet-runtime package

$ pacman -Ss dotnet-runtime
extra/dotnet-runtime 7.0.5.sdk105-1
The .NET Core runtime

#5 - 2023-06-19 10:58 AM - bill-auger

as suggested on #2590, i added the 'DOTNET_CLI_TELEMETRY_OPTOUT' environment var to the filesystem package - presumably, that satisfies
this ticket; but maybe more should be done (like blacklisting the entire suite? - on the basis of: "who wants this anyways?") - the outcome of
preliminary evaluation/audit was not promising (#1794)

#6 - 2023-12-15 05:42 PM - bill-auger

- Related to Freedom Issue #1794: [dotnet-runtime][dotnet-host][dotnet-sdk]: Technical: Arch version is not built from source added
